#ifndef UNIVERSITYSTUDENT_HPP
#define UNIVERSITYSTUDENT_HPP

#include <vector>
#include <string>

class Course; // osztlyok deklarlsa a krbehivatkozs elkerlse vgett

class UniversityStudent  // hallgat osztlya
{
public:
    UniversityStudent(const std::string& n);

    std::string name() const;
    std::string neptunCode() const;
    const std::vector<Course*>& courses() const;
    int numberOfCourses() const;

    void newCourse(Course* c);
    int numberOfCredits() const;

private:
    std::string _name;
    std::string _neptunCode;
    std::string _neptunPassword;
    std::vector<Course*> _courses; // mutatkat trolunk

    std::string generateCode();
    std::string generatePassword();
};

#endif // UNIVERSITYSTUDENT_HPP
